## org.apache.commons.collections.collection
Class AbstractSerializableCollectionDecorator

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.collection.AbstractSerializableCollectionDecorator

All Implemented Interfaces:
  Collection, Serializable

Direct Known Subclasses:
  PredicatedCollection, TransformedCollection, UnmodifiableBoundedCollection, UnmodifiableCollection

public abstract class AbstractSerializableCollectionDecorator
extends AbstractCollectionDecorator
implements Serializable

Serializable subclass of AbstractCollectionDecorator.

Since:
  Commons Collections 3.1
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `AbstractSerializableCollectionDecorator(Collection coll)` Constructor.

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractSerializableCollectionDecorator

    protected AbstractSerializableCollectionDecorator(Collection coll)

  Constructor.

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.